Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1316847 - Add support for MIPS to multilib headers
Summary: Add support for MIPS to multilib headers
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: libffi
Version: 25
Hardware: mips64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Anthony Green
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: MIPS
TreeView+ depends on / blocked
 
Reported: 2016-03-11 09:54 UTC by Michal Toman
Modified: 2017-12-12 10:59 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:59:21 UTC


Attachments (Terms of Use)
add-support-for-MIPS-to-multilib-headers.patch (deleted)
2016-03-11 09:54 UTC, Michal Toman
no flags Details | Diff
add-support-for-MIPS-to-multilib-headers.patch (deleted)
2016-03-11 10:05 UTC, Michal Toman
no flags Details | Diff

Description Michal Toman 2016-03-11 09:54:45 UTC
Created attachment 1135169 [details]
add-support-for-MIPS-to-multilib-headers.patch

Description of problem:
We are trying to bring Fedora to MIPS platform and this requires adding support for MIPS to libffi's multilib headers.

Actual results:
No MIPS support in multilib headers, libffi does not work on MIPS.

Expected results:
libffi works on MIPS

Additional info:
Attaching dist-git patch.

Comment 1 Michal Toman 2016-03-11 10:05:47 UTC
Created attachment 1135187 [details]
add-support-for-MIPS-to-multilib-headers.patch

The previous one was incomplete, attaching the correct one.

Comment 2 Jan Kurik 2016-07-26 04:19:08 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.

Comment 3 Fedora End Of Life 2017-12-12 10:59:21 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.